Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class EncodingInfo

    java.lang.Object
      |
      +--org.apache.xml.serialize.EncodingInfo

public class EncodingInfo
extends java.lang.Object

This class represents an encoding.

Version:
  $Id: EncodingInfo.java,v 1.5 2003/11/04 19:24:54 mrglavas Exp $

Constructor Summary
`EncodingInfo(java.lang.String ianaName, java.lang.String javaName, int lastPrintable)` Creates new `EncodingInfo` instance.

Method Summary
`java.lang.String` | `getIANAName()` Returns a MIME charset name of this encoding.
`java.io.Writer` | `getWriter(java.io.OutputStream output)` Returns a writer for this encoding based on an output stream.
`boolean` | `isPrintable(char ch)` Checks whether the specified character is printable or not in this encoding.
`static void` | `testJavaEncodingName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingInfo

    public EncodingInfo(java.lang.String ianaName,
                        java.lang.String javaName,
                        int lastPrintable)

  Creates new `EncodingInfo` instance.

Method Detail

### getIANAName

    public java.lang.String getIANAName()

  Returns a MIME charset name of this encoding.

### getWriter

    public java.io.Writer getWriter(java.io.OutputStream output)
                             throws java.io.UnsupportedEncodingException

  Returns a writer for this encoding based on an output stream.
  Returns:
    A suitable writer
  Throws:
    `java.io.UnsupportedEncodingException` - There is no convertor to support this encoding

### isPrintable

    public boolean isPrintable(char ch)

  Checks whether the specified character is printable or not in this encoding.
  Parameters:
    `ch` - a code point (0-0x10ffff)

### testJavaEncodingName

    public static void testJavaEncodingName(java.lang.String name)
                                     throws java.io.UnsupportedEncodingException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.